Skip empty files when traversing directories in python_fix_shebangs.
This prevents read from failing on them, and avoids opening them
unnecessarily.
---
 eclass/python-utils-r1.eclass | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 0a04e12..95689f6 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -1030,9 +1030,12 @@ python_fix_shebang() {
 
        local path f
        for path; do
-               local any_correct any_fixed is_recursive
+               local any_correct any_fixed find_args is_recursive
 
-               [[ -d ${path} ]] && is_recursive=1
+               if [[ -d ${path} ]]; then
+                       is_recursive=1
+                       find_args=( -size +0c )
+               fi
 
                while IFS= read -r -d '' f; do
                        local shebang i
@@ -1128,7 +1131,7 @@ python_fix_shebang() {
                                eerror "  requested impl: ${EPYTHON}"
                                die "${FUNCNAME}: conversion of incompatible 
shebang requested"
                        fi
-               done < <(find "${path}" -type f -print0 || die)
+               done < <(find "${path}" -type f "${find_args[@]}" -print0 || 
die)
 
                if [[ ! ${any_fixed} ]]; then
                        eqawarn "QA warning: ${FUNCNAME}, ${path#${D}} did not 
match any fixable files."
-- 
2.6.3


Reply via email to